## skopeo 0.1.41~1

=== Makefile ===
.PHONY: all binary build-container docs docs-in-container build-local clean install install-binary install-completions shell test-integration .install.vndr vendor vendor-in-container

export GOPROXY=https://proxy.golang.org

ifeq ($(shell uname),Darwin)
PREFIX ?= ${DESTDIR}/usr/local
DARWIN_BUILD_TAG=
# On macOS, (brew install gpgme) installs it within /usr/local, but /usr/local/include is not in the default search path.
# Rather than hard-code this directory, use gpgme-config. Sadly that must be done at the top-level user
# instead of locally in the gpgme subpackage, because cgo supports only pkg-config, not general shell scripts,
# and gpgme does not install a pkg-config file.
# If gpgme is not installed or gpgme-config can’t be found for other reasons, the error is silently ignored
# (and the user will probably find out because the cgo compilation will fail).
GPGME_ENV := CGO_CFLAGS="$(shell gpgme-config --cflags 2>/dev/null)" CGO_LDFLAGS="$(shell gpgme-config --libs 2>/dev/null)"
else
PREFIX ?= ${DESTDIR}/usr
endif

INSTALLDIR=${PREFIX}/bin
MANINSTALLDIR=${PREFIX}/share/man
CONTAINERSSYSCONFIGDIR=${DESTDIR}/etc/containers
REGISTRIESDDIR=${CONTAINERSSYSCONFIGDIR}/registries.d
SIGSTOREDIR=${DESTDIR}/var/lib/containers/sigstore
BASHINSTALLDIR=${PREFIX}/share/bash-completion/completions

GO ?= go
GOBIN := $(shell $(GO) env GOBIN)
ifeq ($(GOBIN),)
GOBIN := $(GOPATH)/bin
endif

CONTAINER_RUNTIME := $(shell command -v podman 2> /dev/null || echo docker)
GOMD2MAN ?= $(shell command -v go-md2man || echo '$(GOBIN)/go-md2man')

# Go module support: set `-mod=vendor` to use the vendored sources.
# See also hack/make.sh.
ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
  GO:=GO111MODULE=on $(GO)
  MOD_VENDOR=-mod=vendor
endif

ifeq ($(DEBUG), 1)
  override GOGCFLAGS += -N -l
endif

ifeq ($(shell $(GO) env GOOS), linux)
  GO_DYN_FLAGS="-buildmode=pie"
endif

GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null)
IMAGE := skopeo-dev$(if $(GIT_BRANCH),:$(GIT_BRANCH))
# set env like gobuildtag?
CONTAINER_CMD := ${CONTAINER_RUNTIME} run --rm -i -e TESTFLAGS="$(TESTFLAGS)" #$(CONTAINER_ENVS)
# if this session isn't interactive, then we don't want to allocate a
# TTY, which would fail, but if it is interactive, we do want to attach
# so that the user can send e.g. ^C through.
INTERACTIVE := $(shell [ -t 0 ] && echo 1 || echo 0)
ifeq ($(INTERACTIVE), 1)
	CONTAINER_CMD += -t
endif
CONTAINER_RUN := $(CONTAINER_CMD) "$(IMAGE)"

GIT_COMMIT := $(shell git rev-parse HEAD 2> /dev/null || true)

MANPAGES_MD = $(wildcard docs/*.md)
MANPAGES ?= $(MANPAGES_MD:%.md=%)

BTRFS_BUILD_TAG = $(shell hack/btrfs_tag.sh) $(shell hack/btrfs_installed_tag.sh)
LIBDM_BUILD_TAG = $(shell hack/libdm_tag.sh)
LOCAL_BUILD_TAGS = $(BTRFS_BUILD_TAG) $(LIBDM_BUILD_TAG) $(DARWIN_BUILD_TAG)
BUILDTAGS += $(LOCAL_BUILD_TAGS)

ifeq ($(DISABLE_CGO), 1)
	override BUILDTAGS = exclude_graphdriver_devicemapper exclude_graphdriver_btrfs containers_image_openpgp
endif

#   make all DEBUG=1
#     Note: Uses the -N -l go compiler options to disable compiler optimizations
#           and inlining. Using these build options allows you to subsequently
#           use source debugging tools like delve.
all: binary docs-in-container

help:
	@echo "Usage: make <target>"
	@echo
	@echo " * 'install' - Install binaries and documents to system locations"
	@echo " * 'binary' - Build skopeo with a container"
	@echo " * 'binary-local' - Build skopeo locally"
	@echo " * 'test-unit' - Execute unit tests"
	@echo " * 'test-integration' - Execute integration tests"
	@echo " * 'validate' - Verify whether there is no conflict and all Go source files have been formatted, linted and vetted"
	@echo " * 'check' - Including above validate, test-integration and test-unit"
	@echo " * 'shell' - Run the built image and attach to a shell"
	@echo " * 'clean' - Clean artifacts"

# Build a container image (skopeobuild) that has everything we need to build.
# Then do the build and the output (skopeo) should appear in current dir
binary: cmd/skopeo
	${CONTAINER_RUNTIME} build ${BUILD_ARGS} -f Dockerfile.build -t skopeobuildimage .
	${CONTAINER_RUNTIME} run --rm --security-opt label=disable -v $$(pwd):/src/github.com/containers/skopeo \
		skopeobuildimage make binary-local $(if $(DEBUG),DEBUG=$(DEBUG)) BUILDTAGS='$(BUILDTAGS)'

binary-static: cmd/skopeo
	${CONTAINER_RUNTIME} build ${BUILD_ARGS} -f Dockerfile.build -t skopeobuildimage .
	${CONTAINER_RUNTIME} run --rm --security-opt label=disable -v $$(pwd):/src/github.com/containers/skopeo \
		skopeobuildimage make binary-local-static $(if $(DEBUG),DEBUG=$(DEBUG)) BUILDTAGS='$(BUILDTAGS)'

# Build w/o using containers
binary-local:
	$(GPGME_ENV) $(GO) build $(MOD_VENDOR) ${GO_DYN_FLAGS} -ldflags "-X main.gitCommit=${GIT_COMMIT}" -gcflags "$(GOGCFLAGS)" -tags "$(BUILDTAGS)" -o skopeo ./cmd/skopeo

binary-local-static:
	$(GPGME_ENV) $(GO) build $(MOD_VENDOR) -ldflags "-extldflags \"-static\" -X main.gitCommit=${GIT_COMMIT}" -gcflags "$(GOGCFLAGS)" -tags "$(BUILDTAGS)" -o skopeo ./cmd/skopeo

build-container:
	${CONTAINER_RUNTIME} build ${BUILD_ARGS} -t "$(IMAGE)" .

$(MANPAGES): %: %.md
	@sed -e 's/\((skopeo.*\.md)\)//' -e 's/\[\(skopeo.*\)\]/\1/' $<  | $(GOMD2MAN) -in /dev/stdin -out $@

docs: $(MANPAGES)

docs-in-container:
	${CONTAINER_RUNTIME} build ${BUILD_ARGS} -f Dockerfile.build -t skopeobuildimage .
	${CONTAINER_RUNTIME} run --rm --security-opt label=disable -v $$(pwd):/src/github.com/containers/skopeo \
		skopeobuildimage make docs $(if $(DEBUG),DEBUG=$(DEBUG)) BUILDTAGS='$(BUILDTAGS)'

clean:
	rm -f skopeo docs/*.1

install: install-binary install-docs install-completions
	install -d -m 755 ${SIGSTOREDIR}
	install -d -m 755 ${CONTAINERSSYSCONFIGDIR}
	install -m 644 default-policy.json ${CONTAINERSSYSCONFIGDIR}/policy.json
	install -d -m 755 ${REGISTRIESDDIR}
	install -m 644 default.yaml ${REGISTRIESDDIR}/default.yaml

install-binary: ./skopeo
	install -d -m 755 ${INSTALLDIR}
	install -m 755 skopeo ${INSTALLDIR}/skopeo

install-docs: docs
	install -d -m 755 ${MANINSTALLDIR}/man1
	install -m 644 docs/*.1 ${MANINSTALLDIR}/man1/

install-completions:
	install -m 755 -d ${BASHINSTALLDIR}
	install -m 644 completions/bash/skopeo ${BASHINSTALLDIR}/skopeo

shell: build-container
	$(CONTAINER_RUN) bash

check: validate test-unit test-integration test-system

# The tests can run out of entropy and block in containers, so replace /dev/random.
test-integration: build-container
	$(CONTAINER_RUN) bash -c 'rm -f /dev/random; ln -sf /dev/urandom /dev/random; SKOPEO_CONTAINER_TESTS=1 BUILDTAGS="$(BUILDTAGS)" hack/make.sh test-integration'

# complicated set of options needed to run podman-in-podman
test-system: build-container
	DTEMP=$(shell mktemp -d --tmpdir=/var/tmp podman-tmp.XXXXXX); \
	$(CONTAINER_CMD) --privileged \
	    -v $$DTEMP:/var/lib/containers:Z -v /run/systemd/journal/socket:/run/systemd/journal/socket \
            "$(IMAGE)" \
            bash -c 'BUILDTAGS="$(BUILDTAGS)" hack/make.sh test-system'; \
	rc=$$?; \
	$(RM) -rf $$DTEMP; \
	exit $$rc

test-unit: build-container
	# Just call (make test unit-local) here instead of worrying about environment differences
	$(CONTAINER_RUN) make test-unit-local BUILDTAGS='$(BUILDTAGS)'

validate: build-container
	$(CONTAINER_RUN) hack/make.sh validate-git-marks validate-gofmt validate-lint validate-vet

# This target is only intended for development, e.g. executing it from an IDE. Use (make test) for CI or pre-release testing.
test-all-local: validate-local test-unit-local

validate-local:
	hack/make.sh validate-git-marks validate-gofmt validate-lint validate-vet

test-unit-local:
	$(GPGME_ENV) $(GO) test $(MOD_VENDOR) -tags "$(BUILDTAGS)" $$($(GO) list $(MOD_VENDOR) -tags "$(BUILDTAGS)" -e ./... | grep -v '^github\.com/containers/skopeo/\(integration\|vendor/.*\)$$')

vendor:
	export GO111MODULE=on \
		$(GO) mod tidy && \
		$(GO) mod vendor && \
		$(GO) mod verify

vendor-in-container:
	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.13 make vendor

## skopeo 0.1.40-8

=== debian/changelog ===
skopeo (0.1.40-8) stable; urgency=medium

  * ensure correct $DH_GOPKG creation before building 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 11 Dec 2019 21:17:53 +0000

skopeo (0.1.40-7) stable; urgency=medium

  * retry with updated GOPATH def 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 11 Dec 2019 21:07:37 +0000

skopeo (0.1.40-6) stable; urgency=medium

  * update build step 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 10 Dec 2019 00:45:03 +0000

skopeo (0.1.40-5) stable; urgency=medium

  * bump to rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 09 Dec 2019 12:46:54 +0000

skopeo (0.1.40-4) stable; urgency=medium

  * bump with updated build rules

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 09 Dec 2019 12:45:27 +0000

skopeo (0.1.40-3) stable; urgency=medium

  * update build deps 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Nov 2019 14:27:14 +0000

skopeo (0.1.40-2) stable; urgency=medium

  * more generic for OBS, remove debian/source/format

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Nov 2019 13:45:25 +0000

skopeo (0.1.40-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v0.1.40

 -- RH Container Bot <rh.container.bot@gmail.com>  Tue, 29 Oct 2019 08:14:28 +0000

skopeo (0.1.39-1~ubuntu19.04~ppa3) disco; urgency=medium

  * autobuilt v0.1.39

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 11:10:40 +0000

skopeo (0.1.39-1~ubuntu19.04~ppa2) disco; urgency=medium

  * autobuilt v0.1.39

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 10:55:49 +0000

skopeo (0.1.39-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v0.1.39

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 09 Aug 2019 14:30:45 +0000

skopeo (0.1.38-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v0.1.38

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Tue, 06 Aug 2019 13:54:17 +0000

skopeo (0.1.37-2~ubuntu19.04~ppa6) disco; urgency=medium

  * rebuild - bump release tag 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 21:49:03 +0000

skopeo (0.1.37-2~ubuntu19.04~ppa5) disco; urgency=medium

  * remove dev from release tag

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 15:40:46 +0000

skopeo (0.1.37-1~dev~ubuntu19.04~ppa4) disco; urgency=medium

  * build for disco
  * build dep on libbtrfs-dev

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 15:25:57 +0000

skopeo (0.1.37-1~dev~ubuntu18.04~ppa3) bionic; urgency=medium

  * autobuilt b137741

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 27 May 2019 21:15:50 +0000

skopeo (0.1.37-1~dev~ubuntu18.04~ppa2) bionic; urgency=medium

  * autobuilt 0c90e57

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 20 May 2019 21:11:42 +0000

skopeo (0.1.37-1~dev~ubuntu18.04~ppa1) bionic; urgency=medium

  * bump to 0.1.37, autobuilt 8c9e250

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sat, 18 May 2019 21:11:24 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa21) bionic; urgency=medium

  * autobuilt 30b0a17

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 15 May 2019 21:10:19 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa20) bionic; urgency=medium

  * autobuilt 904b064

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Thu, 09 May 2019 21:06:21 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa19) bionic; urgency=medium

  * autobuilt 7525a79

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Tue, 07 May 2019 21:05:53 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa18) bionic; urgency=medium

  * autobuilt 0a2a62a

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Thu, 25 Apr 2019 21:00:22 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa17) bionic; urgency=medium

  * autobuilt 2829f7d

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 24 Apr 2019 20:59:45 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa16) bionic; urgency=medium

  * autobuilt 2af7114

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 17 Apr 2019 20:57:09 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa15) bionic; urgency=medium

  * autobuilt e255ccc

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Tue, 16 Apr 2019 20:57:09 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa14) bionic; urgency=medium

  * autobuilt 18ee5f8

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 12 Apr 2019 20:53:19 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa13) bionic; urgency=medium

  * autobuilt 81c5e94

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Thu, 11 Apr 2019 20:52:38 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa12) bionic; urgency=medium

  * autobuilt c73bcba

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 08 Apr 2019 20:52:09 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa11) bionic; urgency=medium

  * autobuilt 854f766

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 27 Mar 2019 21:42:18 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa10) bionic; urgency=medium

  * autobuilt 0975497

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 25 Mar 2019 20:44:43 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa9) bionic; urgency=medium

  * conflicts and replaces skopeo-containers 
  * autobuilt d93a581

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Mar 2019 19:13:09 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa8) bionic; urgency=medium

  * autobuilt d93a581

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sun, 17 Mar 2019 03:52:42 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa7) bionic; urgency=medium

  * containers-common requires containers-golang
  * skopeo requires containers-golang

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 17 Mar 2019 03:29:22 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa6) bionic; urgency=medium

  * autobuilt d93a581

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 13 Mar 2019 19:49:57 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa5) bionic; urgency=medium



=== debian/control ===
Source: skopeo
Section: devel
Priority: optional
Maintainer: Lokesh Mandvekar <lsm5@fedoraproject.org>
Build-Depends: debhelper (>=9),
    rsync,
    libgpgme11-dev,
    libassuan-dev,
    dh-golang,
    golang,
    libglib2.0-dev,
    go-md2man
Standards-Version: 4.3.0
Homepage: https://github.com/projectatomic/skopeo

Package: skopeo
Architecture: any
Depends: ${misc:Depends},
    ${shlibs:Depends},
    libgpgme11,
    containers-common
Description: Inspect container images and repositories on registries.

Package: containers-common
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
   containers-golang,
   containers-image(>=3.0.0)
Description: Configuration files for working with image signatures.
Provides: skopeo-containers
Conflicts: skopeo-containers
Replaces: skopeo-containers

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1
DH_GOPKG := github.com/containers/skopeo
PREFIX := /usr
BUILDDIR := $(shell pwd)
DESTDIR := $(BUILDDIR)/debian/tmp
SIGSTOREDIR := $(DESTDIR)/var/lib/containers/sigstore
CONTAINERSSYSCONFIGDIR := $(DESTDIR)/etc/containers
REGISTRIESDDIR := $(DESTDIR)/etc/containers/registries.d
BASHINSTALLDIR := $(DESTDIR)$(PREFIX)/share/bash-completion/completions
INSTALLDIR := $(DESTDIR)$(PREFIX)/bin
MANINSTALLDIR := $(DESTDIR)$(PREFIX)/share/man
BUILDTAGS += containers_image_ostree_stub exclude_graphdriver_devicemapper exclude_graphdriver_btrfs
GOPATH := $(GOPATH):$(BUILDDIR)
GO := GOPATH=$(GOPATH) GO111MODULE=off /usr/bin/go
GO_BUILD := $(GO) build
UPSTREAM_TAG=v0.1.40


%:
	dh_clean
	make clean
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	rm -rf $(BUILDDIR)/src $(BUILDDIR)/storage.conf.5
	dh_auto_configure -O--buildsystem=golang
	# Include vendored dependencies.
	cp -rp $(BUILDDIR)/vendor $(BUILDDIR)/src
	mkdir -p $(BUILDDIR)/src/github.com/containers
	ln -s $(BUILDDIR) $(BUILDDIR)/src/$(DH_GOPKG)

override_dh_auto_build:
	$(GO_BUILD) -tags '$(BUILDTAGS)' -ldflags '' -o skopeo $(DH_GOPKG)/cmd/skopeo
	make docs
	rm -rf $(BUILDDIR)/obj-*-linux-gnu

override_dh_auto_test:

override_dh_auto_install:
	install -d -m 755 $(SIGSTOREDIR)
	install -d -m 755 $(CONTAINERSSYSCONFIGDIR)
	install -m 644 default-policy.json $(CONTAINERSSYSCONFIGDIR)/policy.json
	install -d -m 755 $(REGISTRIESDDIR)
	install -m 644 default.yaml ${REGISTRIESDDIR}/default.yaml
	# install binary
	install -d -m 755 ${INSTALLDIR}
	install -m 755 skopeo $(INSTALLDIR)/skopeo
	# install man
	install -d -m 755 $(MANINSTALLDIR)/man1
	install -m 644 docs/*.1 $(MANINSTALLDIR)/man1/
	# install completions
	install -m 755 -d $(BASHINSTALLDIR)
	install -m 644 completions/bash/skopeo $(BASHINSTALLDIR)/skopeo

override_dh_golang:

## skopeo 0.1.40-10

=== debian/changelog ===
skopeo (0.1.40-10) stable; urgency=medium

  * install /etc/containers/storage.conf 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 30 Jan 2020 10:44:34 -0500

skopeo (0.1.40-9) stable; urgency=medium

  * use containers-image >= 5.1.0~2 for correct registries.conf setup 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 28 Jan 2020 09:16:41 -0500

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
 
 Package: containers-common
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}
    containers-golang,
-   containers-image(>=3.0.0)
+   containers-image(>=5.1.0~2)
 Description: Configuration files for working with image signatures.
 Provides: skopeo-containers
 Conflicts: skopeo-containers

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	install -d -m 755 $(SIGSTOREDIR)
 	install -d -m 755 $(CONTAINERSSYSCONFIGDIR)
 	install -m 644 default-policy.json $(CONTAINERSSYSCONFIGDIR)/policy.json
+	install -m 644 contrib/storage.conf $(CONTAINERSSYSCONFIGDIR)/storage.conf
 	install -d -m 755 $(REGISTRIESDDIR)
 	install -m 644 default.yaml ${REGISTRIESDDIR}/default.yaml
 	# install binary

## skopeo 0.1.41~1

=== debian/changelog ===
skopeo (0.1.41~1) testing; urgency=medium

  * autobuilt v0.1.41

 -- RH Container Bot <rhcontainerbot@fedoraproject.org>  Fri, 07 Feb 2020 23:19:27 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 GOPATH := $(GOPATH):$(BUILDDIR)
 GO := GOPATH=$(GOPATH) GO111MODULE=off /usr/bin/go
 GO_BUILD := $(GO) build
-UPSTREAM_TAG=v0.1.40
+UPSTREAM_TAG=v0.1.41
 
 
 %:
@@ -42,7 +42,7 @@
 	install -d -m 755 $(SIGSTOREDIR)
 	install -d -m 755 $(CONTAINERSSYSCONFIGDIR)
 	install -m 644 default-policy.json $(CONTAINERSSYSCONFIGDIR)/policy.json
-	install -m 644 contrib/storage.conf $(CONTAINERSSYSCONFIGDIR)/storage.conf
+	install -m 644 vendor/github.com/containers/storage/storage.conf $(CONTAINERSSYSCONFIGDIR)/storage.conf
 	install -d -m 755 $(REGISTRIESDDIR)
 	install -m 644 default.yaml ${REGISTRIESDDIR}/default.yaml
 	# install binary

## skopeo 1.1.0

=== debian/changelog ===
skopeo (1.1.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Jul 2020 10:13:51 -0400

skopeo (1.1.0-3) experimental; urgency=medium

  * Add build depend on golang-github-containers-image-dev

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 13 Jul 2020 06:48:25 -0400

skopeo (1.1.0-2) experimental; urgency=medium

  * Build-Conflict against golang-github-dnephin-cobra-dev
  * Build-depend on golang-github-spf13-cobra-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 11 Jul 2020 13:23:29 -0400

skopeo (1.1.0-1) experimental; urgency=medium

  * New upstream version
  * Temporarily include containers/common as patch
  * debian/control: tighten some build-deps

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 09 Jul 2020 22:04:41 -0400

skopeo (0.2.0-1) experimental; urgency=medium

  * New upstream version 0.2.0
  * Tighten build depends

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Apr 2020 17:07:40 -0400

skopeo (0.1.40-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Apr 2020 15:03:46 -0400

skopeo (0.1.40-1) experimental; urgency=medium

  * Initial release (Closes: #880199)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 09 Jan 2020 18:35:53 -0500

=== debian/control ===
Source: skopeo
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               go-md2man,
               golang-any,
               golang-github-containers-common-dev (>> 0.14),
               golang-github-containers-buildah-dev (>> 1.15),
               golang-github-containers-image-dev (>> 5.5),
               golang-github-containers-storage-dev (>> 1.18.2~),
               golang-github-docker-docker-dev (>> 18.09.3),
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-pkg-errors-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
               golang-github-urfave-cli-dev,
               golang-gopkg-check.v1-dev,
# tests:
#              golang-github-opencontainers-image-tools-image-dev,
Build-Conflicts: golang-github-dnephin-cobra-dev
Standards-Version: 4.2.1
Homepage: https://github.com/containers/skopeo
Vcs-Browser: https://salsa.debian.org/go-team/packages/skopeo
Vcs-Git: https://salsa.debian.org/go-team/packages/skopeo.git
XS-Go-Import-Path: github.com/containers/skopeo
Testsuite: autopkgtest-pkg-go

Package: skopeo
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Tooling to work with remote images registries
 skopeo is a command line utility that performs various operations on
 container images and image repositories.
 .
 skopeo can work with OCI images
 (https://github.com/opencontainers/image-spec) as well as the original
 Docker v2 images.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/skopeo-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/containers/skopeo/tags .*/v?(\d\S*)\.tar\.gz

## skopeo 1.1.1

=== debian/changelog ===
skopeo (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Nov 2020 22:09:31 -0500

## skopeo 1.2.0+dfsg1

=== debian/changelog ===
skopeo (1.2.0+dfsg1-2) unstable; urgency=medium

  * Tighten build depends on containers/common (Closes: #977036)
  * update debian/copyright with 'cme update dpkg-copyright'

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 10 Dec 2020 17:00:24 -0500

skopeo (1.2.0+dfsg1-1) unstable; urgency=medium

  * debian/watch: indicate repacked tarballs
  * New upstream version 1.2.0+dfsg1

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Nov 2020 08:15:02 -0500

skopeo (1.1.1-1.1) unstable; urgency=medium

  * test rebuild

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Nov 2020 10:02:31 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                go-md2man,
                golang-any,
-               golang-github-containers-common-dev (>> 0.14),
+               golang-github-containers-common-dev (>> 0.22),
                golang-github-containers-buildah-dev (>> 1.15),
                golang-github-containers-image-dev (>> 5.5),
                golang-github-containers-storage-dev (>> 1.18.2~),

## skopeo 1.2.1+dfsg1

=== debian/changelog ===
skopeo (1.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.2.1+dfsg1
  * Depend on golang-github-containers-common (Closes: #979403)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Jan 2021 10:38:08 -0500

## skopeo 1.2.2+dfsg1

=== release/Makefile ===
## This Makefile is used to publish skopeo container images with Travis CI ##
## Environment variables, used in this Makefile are specified in .travis.yml

export DOCKER_CLI_EXPERIMENTAL=enabled
GOARCH ?= $(shell go env GOARCH)

# Dereference variable $(1), return value if non-empty, otherwise raise an error.
err_if_empty = $(if $(strip $($(1))),$(strip $($(1))),$(error Required $(1) variable is undefined or empty))

# Requires two arguments: Names of the username and the password env. vars.
define quay_login
	@echo "$(call err_if_empty,$(2))" | \
		docker login quay.io -u "$(call err_if_empty,$(1))" --password-stdin
endef

# Build container image of skopeo upstream based on host architecture
build-image/upstream:
	docker build -t "${UPSTREAM_IMAGE}-${GOARCH}" contrib/skopeoimage/upstream

# Build container image of skopeo stable based on host architecture
build-image/stable:
	docker build -t "${STABLE_IMAGE}-${GOARCH}" contrib/skopeoimage/stable

# Push container image of skopeo upstream (based on host architecture) to image repository
push-image/upstream:
	$(call quay_login,SKOPEO_QUAY_USERNAME,SKOPEO_QUAY_PASSWORD)
	docker push "${UPSTREAM_IMAGE}-${GOARCH}"

# Push container image of skopeo stable (based on host architecture) to image default and extra repositories
push-image/stable:
	$(call quay_login,SKOPEO_QUAY_USERNAME,SKOPEO_QUAY_PASSWORD)
	docker push "${STABLE_IMAGE}-${GOARCH}"
	docker tag "${STABLE_IMAGE}-${GOARCH}" "${EXTRA_STABLE_IMAGE}-${GOARCH}"
	$(call quay_login,CONTAINERS_QUAY_USERNAME,CONTAINERS_QUAY_PASSWORD)
	docker push "${EXTRA_STABLE_IMAGE}-${GOARCH}"

# Create and push multiarch image manifest of skopeo upstream
push-manifest-multiarch/upstream:
	docker manifest create "${UPSTREAM_IMAGE}" $(foreach arch,${MULTIARCH_MANIFEST_ARCHITECTURES}, ${UPSTREAM_IMAGE}-${arch})
	$(call quay_login,SKOPEO_QUAY_USERNAME,SKOPEO_QUAY_PASSWORD)
	docker manifest push --purge "${UPSTREAM_IMAGE}"

# Create and push multiarch image manifest of skopeo stable
push-manifest-multiarch/stable:
	docker manifest create "${STABLE_IMAGE}" $(foreach arch,${MULTIARCH_MANIFEST_ARCHITECTURES}, ${STABLE_IMAGE}-${arch})
	$(call quay_login,SKOPEO_QUAY_USERNAME,SKOPEO_QUAY_PASSWORD)
	docker manifest push --purge "${STABLE_IMAGE}"
	# Push to extra repository
	docker manifest create "${EXTRA_STABLE_IMAGE}" $(foreach arch,${MULTIARCH_MANIFEST_ARCHITECTURES}, ${EXTRA_STABLE_IMAGE}-${arch})
	$(call quay_login,CONTAINERS_QUAY_USERNAME,CONTAINERS_QUAY_PASSWORD)
	docker manifest push --purge "${EXTRA_STABLE_IMAGE}"

=== debian/changelog ===
skopeo (1.2.2+dfsg1-1) unstable; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Feb 2021 20:55:47 -0500

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,8 @@
 Package: skopeo
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: ${misc:Depends},
+Depends: golang-github-containers-common (>> 0.26.3+ds1-3~~)
+         ${misc:Depends},
          ${shlibs:Depends}
 Description: Tooling to work with remote images registries
  skopeo is a command line utility that performs various operations on

## skopeo 1.4.1%2Bds1

=== debian/control ===
Source: skopeo
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               go-md2man,
               golang-any,
               golang-github-containers-common-dev (>> 0.42),
               golang-github-containers-image-dev (>> 5.15),
               golang-github-containers-storage-dev (>> 1.34),
               golang-github-docker-docker-dev (>> 20.10),
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-pkg-errors-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev (>> 1.2.1),
               golang-github-stretchr-testify-dev,
               golang-github-urfave-cli-dev,
               golang-gopkg-check.v1-dev,
# tests:
#              golang-github-opencontainers-image-tools-image-dev,
Build-Conflicts: golang-github-dnephin-cobra-dev
Standards-Version: 4.6.0
Homepage: https://github.com/containers/skopeo
Vcs-Browser: https://salsa.debian.org/go-team/packages/skopeo
Vcs-Git: https://salsa.debian.org/go-team/packages/skopeo.git
XS-Go-Import-Path: github.com/containers/skopeo
Testsuite: autopkgtest-pkg-go

Package: skopeo
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: golang-github-containers-common (>> 0.42),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tooling to work with remote images registries
 skopeo is a command line utility that performs various operations on
 container images and image repositories.
 .
 skopeo can work with OCI images
 (https://github.com/opencontainers/image-spec) as well as the original
 Docker v2 images.

## skopeo 1.4.1+ds1

=== debian/changelog ===
skopeo (1.4.1+ds1-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Aug 2021 21:47:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: skopeo
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 11~),
                dh-golang,

## skopeo 1.9.2+ds1

=== debian/changelog ===
skopeo (1.9.2+ds1-3) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Nov 2022 20:49:06 -0500

skopeo (1.9.2+ds1-2) experimental; urgency=medium

  * New upstream release
  * Refresh patches
  * Tighten dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Aug 2022 15:31:35 +0200

## skopeo 1.9.3+ds1

=== Makefile ===
.PHONY: all binary docs docs-in-container build-local clean install install-binary install-completions shell test-integration .install.vndr vendor vendor-in-container

export GOPROXY=https://proxy.golang.org

# The following variables very roughly follow https://www.gnu.org/prep/standards/standards.html#Makefile-Conventions .
DESTDIR ?=
PREFIX ?= /usr/local
ifeq ($(shell uname -s),FreeBSD)
CONTAINERSCONFDIR ?= /usr/local/etc/containers
else
CONTAINERSCONFDIR ?= /etc/containers
endif
REGISTRIESDDIR ?= ${CONTAINERSCONFDIR}/registries.d
LOOKASIDEDIR ?= /var/lib/containers/sigstore
BINDIR ?= ${PREFIX}/bin
MANDIR ?= ${PREFIX}/share/man

BASHINSTALLDIR=${PREFIX}/share/bash-completion/completions
ZSHINSTALLDIR=${PREFIX}/share/zsh/site-functions
FISHINSTALLDIR=${PREFIX}/share/fish/vendor_completions.d

GO ?= go
GOBIN := $(shell $(GO) env GOBIN)
GOOS ?= $(shell go env GOOS)
GOARCH ?= $(shell go env GOARCH)

ifeq ($(GOBIN),)
GOBIN := $(GOPATH)/bin
endif

# Multiple scripts are sensitive to this value, make sure it's exported/available
# N/B: Need to use 'command -v' here for compatibility with MacOS.
export CONTAINER_RUNTIME ?= $(if $(shell command -v podman),podman,docker)
GOMD2MAN ?= $(if $(shell command -v go-md2man),go-md2man,$(GOBIN)/go-md2man)

# Go module support: set `-mod=vendor` to use the vendored sources.
# See also hack/make.sh.
ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
  GO:=GO111MODULE=on $(GO)
  MOD_VENDOR=-mod=vendor
endif

ifeq ($(DEBUG), 1)
  override GOGCFLAGS += -N -l
endif

ifeq ($(GOOS), linux)
  ifneq ($(GOARCH),$(filter $(GOARCH),mips mipsle mips64 mips64le ppc64 riscv64))
    GO_DYN_FLAGS="-buildmode=pie"
  endif
endif

GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null)

# If $TESTFLAGS is set, it is passed as extra arguments to 'go test'.
# You can increase test output verbosity with the option '-test.vv'.
# You can select certain tests to run, with `-test.run <regex>` for example:
#
#     make test-unit TESTFLAGS='-test.run ^TestManifestDigest$'
#
# For integration test, we use [gocheck](https://labix.org/gocheck).
# You can increase test output verbosity with the option '-check.vv'.
# You can limit test selection with `-check.f <regex>`, for example:
#
#     make test-integration TESTFLAGS='-check.f CopySuite.TestCopy.*'
export TESTFLAGS ?= -v -check.v -test.timeout=15m

# This is assumed to be set non-empty when operating inside a CI/automation environment
CI ?=

# This env. var. is interpreted by some tests as a permission to
# modify local configuration files and services.
export SKOPEO_CONTAINER_TESTS ?= $(if $(CI),1,0)

# This is a compromise, we either use a container for this or require
# the local user to have a compatible python3 development environment.
# Define it as a "resolve on use" variable to avoid calling out when possible
SKOPEO_CIDEV_CONTAINER_FQIN ?= $(shell hack/get_fqin.sh)
CONTAINER_CMD ?= ${CONTAINER_RUNTIME} run --rm -i -e TESTFLAGS="$(TESTFLAGS)" -e CI=$(CI) -e SKOPEO_CONTAINER_TESTS=1
# if this session isn't interactive, then we don't want to allocate a
# TTY, which would fail, but if it is interactive, we do want to attach
# so that the user can send e.g. ^C through.
INTERACTIVE := $(shell [ -t 0 ] && echo 1 || echo 0)
ifeq ($(INTERACTIVE), 1)
	CONTAINER_CMD += -t
endif
CONTAINER_GOSRC = /src/github.com/containers/skopeo
CONTAINER_RUN ?= $(CONTAINER_CMD) --security-opt label=disable -v $(CURDIR):$(CONTAINER_GOSRC) -w $(CONTAINER_GOSRC) $(SKOPEO_CIDEV_CONTAINER_FQIN)

GIT_COMMIT := $(shell git rev-parse HEAD 2> /dev/null || true)

EXTRA_LDFLAGS ?=
SKOPEO_LDFLAGS := -ldflags '-X main.gitCommit=${GIT_COMMIT} $(EXTRA_LDFLAGS)'

MANPAGES_MD = $(wildcard docs/*.md)
MANPAGES ?= $(MANPAGES_MD:%.md=%)

BTRFS_BUILD_TAG = $(shell hack/btrfs_tag.sh) $(shell hack/btrfs_installed_tag.sh)
LIBDM_BUILD_TAG = $(shell hack/libdm_tag.sh)
LIBSUBID_BUILD_TAG = $(shell hack/libsubid_tag.sh)
LOCAL_BUILD_TAGS = $(BTRFS_BUILD_TAG) $(LIBDM_BUILD_TAG) $(LIBSUBID_BUILD_TAG)
BUILDTAGS += $(LOCAL_BUILD_TAGS)

ifeq ($(DISABLE_CGO), 1)
	override BUILDTAGS = exclude_graphdriver_devicemapper exclude_graphdriver_btrfs containers_image_openpgp
endif

#   make all DEBUG=1
#     Note: Uses the -N -l go compiler options to disable compiler optimizations
#           and inlining. Using these build options allows you to subsequently
#           use source debugging tools like delve.
all: bin/skopeo docs

codespell:
	codespell -S Makefile,build,buildah,buildah.spec,imgtype,copy,AUTHORS,bin,vendor,.git,go.sum,CHANGELOG.md,changelog.txt,seccomp.json,.cirrus.yml,"*.xz,*.gz,*.tar,*.tgz,*ico,*.png,*.1,*.5,*.orig,*.rej" -L fpr,uint,iff,od,ERRO -w

help:
	@echo "Usage: make <target>"
	@echo
	@echo "Defaults to building bin/skopeo and docs"
	@echo
	@echo " * 'install' - Install binaries and documents to system locations"
	@echo " * 'binary' - Build skopeo with a container"
	@echo " * 'bin/skopeo' - Build skopeo locally"
	@echo " * 'test-unit' - Execute unit tests"
	@echo " * 'test-integration' - Execute integration tests"
	@echo " * 'validate' - Verify whether there is no conflict and all Go source files have been formatted, linted and vetted"
	@echo " * 'check' - Including above validate, test-integration and test-unit"
	@echo " * 'shell' - Run the built image and attach to a shell"
	@echo " * 'clean' - Clean artifacts"

# Do the build and the output (skopeo) should appear in current dir
binary: cmd/skopeo
	$(CONTAINER_RUN) make bin/skopeo $(if $(DEBUG),DEBUG=$(DEBUG)) BUILDTAGS='$(BUILDTAGS)'

# Build w/o using containers
.PHONY: bin/skopeo
bin/skopeo:
	$(GO) build $(MOD_VENDOR) ${GO_DYN_FLAGS} ${SKOPEO_LDFLAGS} -gcflags "$(GOGCFLAGS)" -tags "$(BUILDTAGS)" -o $@ ./cmd/skopeo
bin/skopeo.%:
	GOOS=$(word 2,$(subst ., ,$@)) GOARCH=$(word 3,$(subst ., ,$@)) $(GO) build $(MOD_VENDOR) ${SKOPEO_LDFLAGS} -tags "containers_image_openpgp $(BUILDTAGS)" -o $@ ./cmd/skopeo
local-cross: bin/skopeo.darwin.amd64 bin/skopeo.linux.arm bin/skopeo.linux.arm64 bin/skopeo.windows.386.exe bin/skopeo.windows.amd64.exe

$(MANPAGES): %: %.md
ifneq ($(DISABLE_DOCS), 1)
	sed -e 's/\((skopeo.*\.md)\)//' -e 's/\[\(skopeo.*\)\]/\1/' $<  | $(GOMD2MAN) -in /dev/stdin -out $@
endif

docs: $(MANPAGES)

docs-in-container:
	${CONTAINER_RUN} $(MAKE) docs $(if $(DEBUG),DEBUG=$(DEBUG))

.PHONY: completions
completions: bin/skopeo
	install -d -m 755 completions/bash completions/zsh completions/fish completions/powershell
	./bin/skopeo completion bash >| completions/bash/skopeo
	./bin/skopeo completion zsh >| completions/zsh/_skopeo
	./bin/skopeo completion fish >| completions/fish/skopeo.fish
	./bin/skopeo completion powershell >| completions/powershell/skopeo.ps1

clean:
	rm -rf bin docs/*.1 completions/

install: install-binary install-docs install-completions
	install -d -m 755 ${DESTDIR}${LOOKASIDEDIR}
	install -d -m 755 ${DESTDIR}${CONTAINERSCONFDIR}
	install -m 644 default-policy.json ${DESTDIR}${CONTAINERSCONFDIR}/policy.json
	install -d -m 755 ${DESTDIR}${REGISTRIESDDIR}
	install -m 644 default.yaml ${DESTDIR}${REGISTRIESDDIR}/default.yaml

install-binary: bin/skopeo
	install -d -m 755 ${DESTDIR}${BINDIR}
	install -m 755 bin/skopeo ${DESTDIR}${BINDIR}/skopeo

install-docs: docs
ifneq ($(DISABLE_DOCS), 1)
	install -d -m 755 ${DESTDIR}${MANDIR}/man1
	install -m 644 docs/*.1 ${DESTDIR}${MANDIR}/man1
endif

install-completions: completions
	install -d -m 755 ${DESTDIR}${BASHINSTALLDIR}
	install -m 644 completions/bash/skopeo ${DESTDIR}${BASHINSTALLDIR}
	install -d -m 755 ${DESTDIR}${ZSHINSTALLDIR}
	install -m 644 completions/zsh/_skopeo ${DESTDIR}${ZSHINSTALLDIR}
	install -d -m 755 ${DESTDIR}${FISHINSTALLDIR}
	install -m 644 completions/fish/skopeo.fish ${DESTDIR}${FISHINSTALLDIR}
	# There is no common location for powershell files so do not install them. Users have to source the file from their powershell profile.

shell:
	$(CONTAINER_RUN) bash

check: validate test-unit test-integration test-system

test-integration:
	$(CONTAINER_RUN) $(MAKE) test-integration-local


# Intended for CI, assumed to be running in quay.io/libpod/skopeo_cidev container.
test-integration-local: bin/skopeo
	hack/make.sh test-integration

# complicated set of options needed to run podman-in-podman
# TODO: The $(RM) command will likely fail w/o `podman unshare`
test-system:
	DTEMP=$(shell mktemp -d --tmpdir=/var/tmp podman-tmp.XXXXXX); \
	$(CONTAINER_CMD) --privileged \
		-v $(CURDIR):$(CONTAINER_GOSRC) -w $(CONTAINER_GOSRC) \
		-v $$DTEMP:/var/lib/containers:Z -v /run/systemd/journal/socket:/run/systemd/journal/socket \
		"$(SKOPEO_CIDEV_CONTAINER_FQIN)" \
			$(MAKE) test-system-local; \
	rc=$$?; \
	-$(RM) -rf $$DTEMP; \
	exit $$rc

# Intended for CI, assumed to already be running in quay.io/libpod/skopeo_cidev container.
test-system-local: bin/skopeo
	hack/make.sh test-system

test-unit:
	# Just call (make test unit-local) here instead of worrying about environment differences
	$(CONTAINER_RUN) $(MAKE) test-unit-local

validate:
	$(CONTAINER_RUN) $(MAKE) validate-local

# This target is only intended for development, e.g. executing it from an IDE. Use (make test) for CI or pre-release testing.
test-all-local: validate-local validate-docs test-unit-local

.PHONY: validate-local
validate-local:
	BUILDTAGS="${BUILDTAGS}" hack/make.sh validate-git-marks validate-gofmt validate-lint validate-vet

# This invokes bin/skopeo, hence cannot be run as part of validate-local
.PHONY: validate-docs
validate-docs:
	hack/man-page-checker
	hack/xref-helpmsgs-manpages

test-unit-local: bin/skopeo
	$(GO) test $(MOD_VENDOR) -tags "$(BUILDTAGS)" $$($(GO) list $(MOD_VENDOR) -tags "$(BUILDTAGS)" -e ./... | grep -v '^github\.com/containers/skopeo/\(integration\|vendor/.*\)$$')

vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify

vendor-in-container:
	podman run --privileged --rm --env HOME=/root -v $(CURDIR):/src -w /src quay.io/libpod/golang:1.16 $(MAKE) vendor

# CAUTION: This is not a replacement for RPMs provided by your distro.
# Only intended to build and test the latest unreleased changes.
rpm:
	rpkg local

=== debian/changelog ===
skopeo (1.9.3+ds1-1) unstable; urgency=medium

  * new upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 12 Jan 2023 16:07:53 -0500

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                dh-golang,
                go-md2man,
                golang-any,
-               golang-github-containers-common-dev (>> 0.42),
-               golang-github-containers-image-dev (>> 5.15),
-               golang-github-containers-storage-dev (>> 1.34),
+               golang-github-containers-common-dev (>> 0.49.1),
+               golang-github-containers-image-dev (>> 5.22),
+               golang-github-containers-storage-dev (>> 1.42),
                golang-github-docker-docker-dev (>> 20.10),
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
@@ -32,7 +32,7 @@
 Package: skopeo
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: golang-github-containers-common (>> 0.42),
+Depends: golang-github-containers-common (>> 0.49),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Tooling to work with remote images registries

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg1,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/containers/skopeo/releases \
  .*/archive/v?(\d[-\d\.]+)\.tar\.gz

## skopeo 1.13.3%2Bds1

=== debian/changelog ===
skopeo (1.13.3+ds1-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 14:20:41 +1000

skopeo (1.13.3+ds1-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 16:03:19 +1000

skopeo (1.13.3+ds1-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:56:28 +0530

skopeo (1.13.3+ds1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:01 +1100

skopeo (1.13.3+ds1-2build1) noble; urgency=medium

  * No-change rebuild for libgpgme t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 16:48:04 +0100

skopeo (1.13.3+ds1-2) unstable; urgency=medium

  * Drop disable-sigstore.patch
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Oct 2023 09:49:26 -0400

skopeo (1.13.3+ds1-1) experimental; urgency=medium

  * New upstream version
  * Add patch to disable --sign-by-sigstore feature

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 14 Sep 2023 09:24:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: skopeo
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 11~),
                dh-golang,
                go-md2man,
                golang-any,
                golang-github-containers-common-dev (>> 0.49.1),
-               golang-github-containers-image-dev (>> 5.22),
+               golang-github-containers-image-dev (>> 5.28.0-3~),
                golang-github-containers-storage-dev (>> 1.42),
                golang-github-docker-docker-dev (>> 20.10),
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
                golang-github-pkg-errors-dev,
+               golang-github-sigstore-sigstore-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev (>> 1.2.1),
                golang-github-stretchr-testify-dev,

## skopeo 1.13.3+ds1

=== debian/tests/control ===
Test-Command: skopeo help
